Name: color-gcc
Version: 1.0.1
Release: alt5

Summary: GCC output colorizer
License: GPL
Group: Development/Other
BuildArch: noarch
Packager: Stanislav Ievlev <inger@altlinux.ru>

Requires: gcc-color = %version-%release

URL:http://colorifer.sourceforge.net/
Source: %name-%{version}rc6.tar.bz2

#PreReq: gcc-common >= 1.2
PreReq: alternatives >= 0.0.6

# Automatically added by buildreq on Wed Oct 15 2003
BuildRequires: libalternatives-devel

%description
Configs for colorifer to colorize GCC output

%package -n gcc-color
Summary: colorifer configs to colorize gcc output
Group: Development/Other
PreReq: colorifer >= 1.0.1-alt8

%description -n gcc-color
colorifer configs to colorize gcc output


%prep
%setup -q -n %name-%{version}rc6

%install
%makeinstall

install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/ignore.d/%name
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/ignore.d/gcc-color

%__install -d $RPM_BUILD_ROOT%_altdir
cat >$RPM_BUILD_ROOT%_altdir/%name<<EOF
<group name="candidate">
    <option name="link">%_bindir/gcc</option>
    <option name="real">%_bindir/color_gcc_wrapper</option>
    <option name="weight" type="number">50</option>
</group>
EOF

%post
%register_alternatives %name -- gcc g++ g77 gcj
%preun
%unregister_alternatives %name

%triggerun -- color-gcc < 0.3.1
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove g++ %_bindir/colorifer

%files
%config %_altdir/%name
%_bindir/*

%files -n gcc-color
%_sysconfdir/buildreqs/packages/ignore.d/*
%_datadir/colorifer/*

%changelog
* Tue May 11 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.1-alt5
- sync with new commands format

* Wed Apr 21 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.1-alt4
- added missing ignore.d for gcc-color

* Wed Apr 14 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.1-alt3
- added separate package with configs for use colorifer with colorize scripts
  (without alternatives)

* Mon Mar 22 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.1-alt2
- update from CVS.

* Fri Mar 19 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.1-alt1
- sync with latest colorifer:
    -- new config format
    -- added wrapper

* Wed Nov 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt0.1.rc1
- Daedalus release

* Tue Nov 11 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt5
- new config format

* Tue Nov 04 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt4
- little fix in rules

* Mon Oct 27 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt3
- project moved to sourceforge

* Thu Oct 23 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt2
- fix g++ rule

* Wed Oct 22 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Oct 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2.2
- Added symlink to gcj

* Wed Oct 15 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2.1
- new alternatives

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt2
- Added c++

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt1
- minor features, bugfixes

* Wed Feb 05 2003 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt2
- daedalus release

* Thu Jan 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt1
- daedalus release

* Wed Jan 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt2
- sync with latest libing changes

* Mon Dec 30 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.2-alt1
- new config format

* Thu Nov 28 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.1-alt1
- Migrated to new alternatives scheme.

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt1
- real split stdout and stderr

* Mon Sep 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-alt1
- move to xinclude in config

* Wed Aug 21 2002 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt6
- Raised alternatives priority.

* Thu Aug 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt5
- new buildreq files layout

* Thu Aug 08 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt4
- move to relative path in configs

* Mon Jun 17 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt3
- Added ignore.d files for buildreq

* Tue Jun 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt2
- fixes and features

* Mon Jun 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-alt1
- Inital release for ALT
